=== third-party/lua-5.1.5/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(lua)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)
add_subdirectory(src/)
add_subdirectory(toluapp-simple/)
