=== debian/changelog ===
stratagus (3.3.2) focal; urgency=medium

  [ Tim Felgentreff ]
  * fix potential music jitter when multiple callbacks are enqueued

 -- Tim Felgentreff <timfelgentreff@gmail.com>  Wed, 10 Aug 2022 20:01:42 +0200

stratagus (3.3.1) focal; urgency=medium

  [ Tim Felgentreff ]
  * fix potential crash in editor with dynamic load
  * ony draw references on units with debug print
  * fix wrong assert, compilation on ubuntu 22.04

  [ Northfear ]
  * Fix build with enabled DYNAMIC_LOAD

 -- Tim Felgentreff <timfelgentreff@gmail.com>  Sun, 31 Jul 2022 11:43:53 +0200

stratagus (3.3.0) focal; urgency=medium

  [ Alex Grant Benedict ]
  * Update stratagus-tinyfiledialogs.h

  [ Tim Felgentreff ]
  * On windows, prefer stratagus from PATH over registry

  [ Alyokhin ]
  * Fixed fog for non-square maps

  [ Tim Felgentreff ]
  * workaround a few crashes in the online service
  * add password flag to text fields
  * HACK: make ctrl+keys work again in guichan
  * add a lua function to restart the game
  * guard against potential crashes due to bad lua coding of menus
  * allow immediate reconnect to online service
  * guard against lost network callbacks
  * return success/failure from LoadStratagusMapInfo
  * compile with c++17 filesystem support
  * implement transmitting maps from server to client during join
  * fix idle crash when online
  * expose full file path in __file__; add disabled filesystem listing lua function
  * allow unit selection in editor
  * use ChangeOwner in SetUnitVariable(..."Player")
  * add ability to change unit color in SetUnitVariable
  * editor fixes
  * add CopyUnitType function
  * fix SetUnitVariable("Color")
  * add GiveUnitsToPlayer function
  * use lookup tables for cp437 and cp866 font graphics
  * add support for mapping between codepages

  [ Simone Starace ]
  * Changed the body of function ChangeUnitsOwner.

  [ Tim Felgentreff ]
  * better docs for SetFontCodePage
  * avoid useless utf8 work for numbers
  * update codepoint mapping to allow multichar subst
  * rename mobdebug.h, not a real header
  * allow setting NumBounces for missile-clip-to-target
  * draw missile cliptotarget centered on top left corner of target
  * add animated sprite decoration
  * add button check units-nor and fix CopyUnitType
  * fix walls disappearing when changing surroundings
  * use sdl hardware cursor to decouple the cursor speed from the game speed
  * fix cursor drawing, now only the offset may be wrong
  * fix mouse event coordinates for vertical pixel stretching
  * make hardware cursor a preference
  * fix scaled cursor hot pos
  * deselect for list boxes
  * try to clean up a bit better
  * allow using bool flags for enable/disable decoration
  * a bit more configurability for the decoration bar
  * fix one more potential crash with font rendering
  * add option to indicate damage in selection rect
  * only show group if ShowOrders is true
  * Make max messages configurable with SetMaxMessageCount and rework repeated message handling
  * add a simple function to copy unit buttons to another unit
  * add ability to set completely custom Colors for a unit
  * add ability to define additional colors and set custom unit color
  * fix a class of potential NPEs
  * fix a crash in select script functions
  * first attempt at a "randomizer" tool for the editor
  * fix memory leak, thanks @Andrettin
  * improve astar cleanup performance. thanks @Andrettin
  * don't return depots unconditionally
  * fix start location sticking to cursor
  * tweak map randomize
  * be backwards compatible with war1gus colorsets
  * make randomize editor feature configurable
  * add import
  * expose Randomize map to lua
  * Revert "improve astar cleanup performance. thanks @Andrettin"
  * Revert "don't return depots unconditionally"
  * tweak map randomization
  * fix two potential crashes
  * Revert "Revert "don't return depots unconditionally""
  * Revert "Revert "improve astar cleanup performance. thanks @Andrettin""
  * better random for random maps
  * Add FindNextResource lua function
  * make free workers icon clickable and hideable when no free workers available
  * pause game when network is out of sync
  * improve UnitDump logging
  * improve logging of network out of sync
  * SyncHash change logging
  * ask for port for easy multiplayer debugging
  * reduce backtrace size
  * dump unit debug in dev launch
  * more debugging and sync hashing
  * sort the CUnit::Init variables as in the header
  * workaround for not finding depot from mine
  * port depot finder change from  Wyrmgus that searches from outside mine
  * add disabled astar overlay
  * disable a bit of the extra much logging again

  [ sviscapi ]
  * Changed boolean into bool in online_service.cpp

  [ Tim Felgentreff ]
  * reuse game structures in replay types
  * delete metaserver
  * WIP: start unifying all GameSettings
  * doc update for SetPlayerData
  * fix SettingsPresets#Init
  * more room for backtrace
  * fix replay refactpring
  * fix team assignments again
  * fix build issues on linux
  * don't use enum class until we remove tolua++
  * always use vendored lua
  * cleanups
  * make changes work with tolua++, trying to be backwards compatible
  * since FoV is relevant for sync, make it part of GameSettings
  * move sync-relevant preferences into GameSettings
  * debugprint game settings, fix sign of some settings
  * give games the opportunity to store custom settings in GameSettings that get synced across the network
  * ensure we store team preferences in replay and always re-init GameSettings with user preferences where applicable
  * Revert "always use vendored lua"
  * AiChecksDependencies is now synced across network clients
  * don't autosave during replay
  * always use network command queue, even in single player, for replays to work
  * fix wrong assert
  * fixed another assert problem when game is cleaning up

  [ alyokhin ]
  * fix compile error for gcc version >9.3.0

  [ Tim Felgentreff ]

