=== debian/control ===
Source: stratagus
Section: games
Priority: optional
Maintainer: cybermind <iddqd_mail@mail.ru>
Build-Depends: debhelper (>= 7), cmake (>= 2.6), doxygen,
 imagemagick, sharutils, liblua5.1-dev | liblua5.1-0-dev, libtolua++5.1-dev,
 zlib1g-dev, libbz2-dev, libsdl2-dev, libsdl2-image-dev, libsdl2-mixer-dev,
 libogg-dev, libvorbis-dev, libtheora-dev, libmng-dev,
 libpng12-dev (>= 1.2.5) | libpng-dev (>= 1.2.5), graphviz
Standards-Version: 3.9.6
Homepage: https://github.com/Wargus/stratagus
Vcs-Browser: https://github.com/Wargus/stratagus
Vcs-Git: https://github.com/Wargus/stratagus.git

Package: stratagus
Architecture: any
Recommends: wargus, war1gus, stargus, stratagus-data
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Strategy Gaming Engine
 Stratagus is a free cross-platform real-time strategy gaming engine.
 It includes support for playing over Internet/LAN, or playing vs.
 computer opponents. The engine is configurable and can be used to
 create games with a wide-range of features specific to your needs.
 .
 Stratagus started as a clone of the realtime fantasy strategy game
 Warcraft II from Blizzard Entertainment, although it is used now as a
 game engine to build other games, sci-fi or fantasy ones.
 .
 Stratagus is developed together for Windows, Linux and Mac OS X.
 .
 Games which use Stratagus:
  * Wargus - Warcraft II - https://github.com/Wargus/wargus
  * Doom Wars - http://stratagus.com/games/doom-wars
  * Wyrmsun - https://github.com/andrettin/wyrmsun
    (uses modified engine version : https://github.com/Andrettin/Wyrmgus)
  * Stargus - Starcraft I - https://github.com/Wargus/stargus
  * War1gus - Warcraft I - https://github.com/Wargus/war1gus
 .
 This package provides no game and no game data set. This is only engine.
 To play one of game, install package wargus, war1gus or stargus.
 .
 This is the stable release of Stratagus, and is both fairly playable and
 fairly bug-free. It also has network connectivity for up to 8 players.
 .
 This version is compiled with some of the possible options, and thus has
 gzip, bunzip2, SDL, vorbis, theora and OpenGL (or OpenGL ES 1.1) support.
 The sound options will depend on your personal election on SDL packages.

Package: stratagus-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg, stratagus (= ${binary:Version})
Description: Strategy Gaming Engine (debugging symbols)
 Stratagus is a free cross-platform real-time strategy gaming engine.
 It includes support for playing over Internet/LAN, or playing vs.
 computer opponents. The engine is configurable and can be used to
 create games with a wide-range of features specific to your needs.
 .
 Stratagus started as a clone of the realtime fantasy strategy game
 Warcraft II from Blizzard Entertainment, although it is used now as a
 game engine to build other games, sci-fi or fantasy ones.
 .
 Stratagus is developed together for Windows, Linux and Mac OS X.
 .
 Games which use Stratagus:
  * Wargus - Warcraft II - https://github.com/Wargus/wargus
  * Doom Wars - http://stratagus.com/games/doom-wars
  * Wyrmsun - https://github.com/andrettin/wyrmsun
    (uses modified engine version : https://github.com/Andrettin/Wyrmgus)
  * Stargus - Starcraft I - https://github.com/Wargus/stargus
  * War1gus - Warcraft I - https://github.com/Wargus/war1gus
 .
 This package provides no game and no game data set. This is only engine.
 To play one of game, install package wargus, war1gus or stargus.
 .
 This is the stable release of Stratagus, and is both fairly playable and
 fairly bug-free. It also has network connectivity for up to 8 players.
 .
 This version is compiled with some of the possible options, and thus has
 gzip, bunzip2, SDL, vorbis, theora and OpenGL (or OpenGL ES 1.1) support.
 The sound options will depend on your personal election on SDL packages.
 .
 This package contains Stratagus binary with debugging symbols.

Package: stratagus-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: stratagus
Description: Strategy Gaming Engine (documentation)
 Stratagus is a free cross-platform real-time strategy gaming engine.
 It includes support for playing over Internet/LAN, or playing vs.
 computer opponents. The engine is configurable and can be used to
 create games with a wide-range of features specific to your needs.
 .
 Stratagus started as a clone of the realtime fantasy strategy game
 Warcraft II from Blizzard Entertainment, although it is used now as a
 game engine to build other games, sci-fi or fantasy ones.
 .
 Stratagus is developed together for Windows, Linux and Mac OS X.
 .
 Games which use Stratagus:
  * Wargus - Warcraft II - https://github.com/Wargus/wargus
  * Doom Wars - http://stratagus.com/games/doom-wars
  * Wyrmsun - https://github.com/andrettin/wyrmsun
    (uses modified engine version : https://github.com/Andrettin/Wyrmgus)
  * Stargus - Starcraft I - https://github.com/Wargus/stargus
  * War1gus - Warcraft I - https://github.com/Wargus/war1gus
 .
 This package provides no game and no game data set. This is only engine.
 To play one of game, install package wargus, war1gus or stargus.
 .
 This is the stable release of Stratagus, and is both fairly playable and
 fairly bug-free. It also has network connectivity for up to 8 players.
 .
 This version is compiled with some of the possible options, and thus has
 gzip, bunzip2, SDL, vorbis, theora and OpenGL (or OpenGL ES 1.1) support.
 The sound options will depend on your personal election on SDL packages.
 .
 This package contains Stratagus documentation.

Package: stratagus-dev
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}, stratagus (>= ${binary:Version})
Description: Strategy Gaming Engine (development files)
 Stratagus is a free cross-platform real-time strategy gaming engine.
 It includes support for playing over Internet/LAN, or playing vs.
 computer opponents. The engine is configurable and can be used to
 create games with a wide-range of features specific to your needs.
 .
 Stratagus started as a clone of the realtime fantasy strategy game
 Warcraft II from Blizzard Entertainment, although it is used now as a
 game engine to build other games, sci-fi or fantasy ones.
 .
 Stratagus is developed together for Windows, Linux and Mac OS X.
 .
 Games which use Stratagus:
  * Wargus - Warcraft II - https://github.com/Wargus/wargus
  * Doom Wars - http://stratagus.com/games/doom-wars
  * Wyrmsun - https://github.com/andrettin/wyrmsun
    (uses modified engine version : https://github.com/Andrettin/Wyrmgus)
  * Stargus - Starcraft I - https://github.com/Wargus/stargus
  * War1gus - Warcraft I - https://github.com/Wargus/war1gus
 .
 This package provides no game and no game data set. This is only engine.
 To play one of game, install package wargus, war1gus or stargus.
 .
 This is the stable release of Stratagus, and is both fairly playable and
 fairly bug-free. It also has network connectivity for up to 8 players.
 .
 This version is compiled with some of the possible options, and thus has
 gzip, bunzip2, SDL, vorbis, theora and OpenGL (or OpenGL ES 1.1) support.
 The sound options will depend on your personal election on SDL packages.
 .
 This package contains Stratagus game development headers files needed for
 building Stratagus games.
